Google Transcoder: Merge Audio Video API Reference

About

Merge videos with standalone audio files or audio from video files.

1. Calling the API

Setup your API Key

To begin using Infron, you first need to create an account and generate your API Key.

Once you have your API key, set it as an environment variable in your runtime environment. This allows your applications to securely access Infron’s API.

export INFRON_KEY="YOUR_API_KEY"

Submit a request

For long-running requests, you can poll for results.

curl https://media.onerouter.pro/v1/videos/generations \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d @- <<'EOF'
{
    "model": "google/transcoder/merge-audio-video",
    "video_url": "https://storage.googleapis.com/infron_gcs/quick-upload/2026/08/31/20260831-101655-a112090e-ffmpeg-video.mp4",
    "audio_url": "https://storage.googleapis.com/infron_gcs/quick-upload/2026/08/31/20260831-101653-133ea3f7-ffmpeg-audio.wav",
    "resolution": "1080p",
    "fps": 30,
    "audio_bitrate_bps": 128000
}
EOF

Response with queue task id

The response will look like this:

{
  "code": 200,
  "message": "success",
  "data": {
    "task_id": "20260831022039888357914O2yRS5Re",
    "object": "video",
    "model": "google/transcoder/merge-audio-video",
    "status": "created",
    "urls": {
      "query": "https://media.onerouter.pro/v1/videos/tasks/20260831022039888357914O2yRS5Re"
    },
    "created_at": "2026-08-31 02:20:39.91"
  }
}

Fetch request status

You can fetch the status of a request to check if it is completed or still in progress.

curl https://media.onerouter.pro/v1/videos/tasks/{task_id} \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" 

# For example
curl https://media.onerouter.pro/v1/videos/tasks/20260831022039888357914O2yRS5Re \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json"

Response with queue task status query

{
  "code": 200,
  "message": "success",
  "data": {
    "task_id": "20260831022039888357914O2yRS5Re",
    "object": "video",
    "model": "google/transcoder/merge-audio-video",
    "status": "created",
    "fail_reason": "",
    "submit_time": 1788142840,
    "start_time": 0,
    "finish_time": 0,
    "outputs": [],
    "created_at": "2026-08-31 02:20:40"
  }
}

Possible statuses:

  • created
  • in_progress
  • processing
  • completed
  • failed

created -> in_progress → processing → completed | failed

Poll every 1-2 seconds until status is "completed" or "failed"

Get the result (when status is "completed")

Once the request is completed, you can fetch the result. See the Output Schema for the expected result format.

{
  "code": 200,
  "message": "success",
  "data": {
    "task_id": "20260831022039888357914O2yRS5Re",
    "object": "video",
    "model": "google/transcoder/merge-audio-video",
    "status": "completed",
    "fail_reason": "",
    "submit_time": 1788142840,
    "start_time": 1788142842,
    "finish_time": 1788142866,
    "outputs": [
      "https://infron.ai/cdn/media/video/transcoder/output/20260831022039888357914O2yRS5Re/output.mp4"
    ],
    "usage": {
      "completion_tokens": 0,
      "duration": 6,
      "generate_audio": true,
      "output_count": 1,
      "prompt_tokens": 1,
      "request_num": 1,
      "resolution": "1080p",
      "tokens": 1,
      "total_tokens": 1,
      "video_duration": 6
    },
    "cost": {
      "total_cost": 0.003,
      "cost_details": {
        "prompt_cost": 0,
        "completion_cost": 0,
        "image_cost": 0,
        "video_cost": 0.003,
        "audio_cost": 0,
        "native_web_search_cost": 0,
        "plugin_web_search_cost": 0,
        "tools_cost": 0,
        "prompt_cache_read_cost": 0,
        "prompt_cache_write_cost": 0,
        "prompt_cache_write_5_min": 0,
        "prompt_cache_write_1_h": 0,
        "reasoning_cost": 0,
        "discount_rate": 1,
        "is_byok": false,
        "byok_cost": 0
      }
    },
    "created_at": "2026-08-31 02:20:40"
  }
}

2. Schema

Input

ParameterTypeRequiredDefaultRangeDescription
modelstringYes--Explore all modelsModel name.
video_urlstringYes----Video URL, at least 5 seconds.
audio_urlstringYes----Audio URL, at least 5 seconds.
resolutionstringNo720p480p, 720p, 1080p, 4kThe output resolutions and video pricing tiers correspond to 854×480, 1280×720, 1920×1080, and 3840×2160, respectively.
fpsintegerNo30[1, 120]Output video frame rate.
audiobitratebpsintegerNo128000[1, 10000000]Output AAC bitrate, in bit/s.

Example request

curl https://media.onerouter.pro/v1/videos/generations \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d @- <<'EOF'
{
    "model": "google/transcoder/merge-audio-video",
    "video_url": "https://storage.googleapis.com/infron_gcs/quick-upload/2026/08/31/20260831-101655-a112090e-ffmpeg-video.mp4",
    "audio_url": "https://storage.googleapis.com/infron_gcs/quick-upload/2026/08/31/20260831-101653-133ea3f7-ffmpeg-audio.wav",
    "resolution": "1080p",
    "fps": 30,
    "audio_bitrate_bps": 128000
}
EOF

Output

ParameterTypeRangeDescription
codeinteger--Status code of the request.
messagestring--Status message of the request.
dataobject--Data of the video task.
data.task_idstring--ID of the video task.
data.objectstring--Object type of the video task.
data.modelstring--Model name of the video task.
data.statusstringcreated, in_progress, processing, completed, failedStatus of the video task.
data.fail_reasonstring--Fail reason of the video task.
data.submit_timeinteger--Timestamp of the video task submission.
data.start_timeinteger--Timestamp of the video task start.
data.finish_timeinteger--Timestamp of the video task finish.
data.outputsarray--Outputs of the video task.
data.created_atstring--Timestamp of the video task creation.

Example output

{
  "code": 200,
  "message": "success",
  "data": {
    "task_id": "20260831022039888357914O2yRS5Re",
    "object": "video",
    "model": "google/transcoder/merge-audio-video",
    "status": "completed",
    "fail_reason": "",
    "submit_time": 1788142840,
    "start_time": 1788142842,
    "finish_time": 1788142866,
    "outputs": [
      "https://infron.ai/cdn/media/video/transcoder/output/20260831022039888357914O2yRS5Re/output.mp4"
    ],
    "usage": {
      "completion_tokens": 0,
      "duration": 6,
      "generate_audio": true,
      "output_count": 1,
      "prompt_tokens": 1,
      "request_num": 1,
      "resolution": "1080p",
      "tokens": 1,
      "total_tokens": 1,
      "video_duration": 6
    },
    "cost": {
      "total_cost": 0.003,
      "cost_details": {
        "prompt_cost": 0,
        "completion_cost": 0,
        "image_cost": 0,
        "video_cost": 0.003,
        "audio_cost": 0,
        "native_web_search_cost": 0,
        "plugin_web_search_cost": 0,
        "tools_cost": 0,
        "prompt_cache_read_cost": 0,
        "prompt_cache_write_cost": 0,
        "prompt_cache_write_5_min": 0,
        "prompt_cache_write_1_h": 0,
        "reasoning_cost": 0,
        "discount_rate": 1,
        "is_byok": false,
        "byok_cost": 0
      }
    },
    "created_at": "2026-08-31 02:20:40"
  }
}

3. Detailed Pricing

ResolutionBilled unitPrice
480p1 output video second$0.00025
720p1 output video second$0.0005
1080p1 output video second$0.0005
4k1 output video second$0.001